<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Moja strona WWW</title>
</head>
<body>
<div>
<table>
<?php
try{
  $db = new SQLiteDatabase("/var/wwwdata/testphp.db", 0666, $msg);
}
catch(SQLiteException $e){
  echo "Wystąpił błąd podczas otwierania połączenia z bazą...<br />";
  echo "Komunikat błędu \$e: ";
  echo $e->getMessage(), "<br />";
  echo "</body></html>";
  exit;
}

$query = 'SELECT * FROM osoba';

if($result = $db->query($query, SQLITE_NUM, $msg)){
  foreach($result as $row){
    echo "<tr>";
    echo "<td>$row[0]</td>";
    echo "<td>$row[1]</td>";
    echo "<td>$row[2]</td>";
    echo "<td>$row[3]</td>";
    echo "<td>$row[4]</td>";
    echo "</tr>";
  }
}
else{
  echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
  echo "Komunikat błędu: $msg<br />";
}

unset($db);

?>
</table>
</div>
</body>
</html>